//
// ProductResponse.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ProductResponse: Codable {

    public var name: String?
    public var operatingSystem: String?
    public var manufacturer: String?
    public var color: String?

    public init(name: String? = nil, operatingSystem: String? = nil, manufacturer: String? = nil, color: String? = nil) {
        self.name = name
        self.operatingSystem = operatingSystem
        self.manufacturer = manufacturer
        self.color = color
    }

    public enum CodingKeys: String, CodingKey { 
        case name = "Name"
        case operatingSystem = "OperatingSystem"
        case manufacturer = "Manufacturer"
        case color = "Color"
    }

}
